#! ruby -Ks
  # copy 'exlap.rb' to the ruby library path
require "fileutils"

src = "exlap.rb"
unless test(?e, src)
  puts "can't find 'exlap.rb' "
  exit
end

dest_dir = nil
ary = $:
ary.each {|dir|
  dir = dir.gsub(/\\/, "/")
  if dir =~ /site_ruby\/\d[^\/]+$/
    dest_dir = dir
    break
  end
}
if dest_dir
  FileUtils.cp(src, dest_dir, {:preserve=>true})
  puts "copy 'exlap.rb' to '#{dest_dir}'"
else
  puts "can't copy 'exlap.rb'"
end
